<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::Symbol Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_symbol.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpcgen_1_1_symbol-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::Symbol Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for all named declarations in the IDL.  
 <a href="classerpcgen_1_1_symbol.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_symbol_8h_source.html">Symbol.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for erpcgen::Symbol:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classerpcgen_1_1_symbol.png" usemap="#erpcgen::Symbol_map" alt=""/>
  <map id="erpcgen::Symbol_map" name="erpcgen::Symbol_map">
<area href="classerpcgen_1_1_const_type.html" title="Const class. " alt="erpcgen::ConstType" shape="rect" coords="154,56,298,80"/>
<area href="classerpcgen_1_1_data_type.html" title="Base class for data types. " alt="erpcgen::DataType" shape="rect" coords="154,112,298,136"/>
<area href="classerpcgen_1_1_enum_member.html" title="Member of a enum. " alt="erpcgen::EnumMember" shape="rect" coords="154,168,298,192"/>
<area href="classerpcgen_1_1_function.html" title="Function declaration. " alt="erpcgen::Function" shape="rect" coords="154,224,298,248"/>
<area href="classerpcgen_1_1_interface.html" title="An interface that contains functions. " alt="erpcgen::Interface" shape="rect" coords="154,280,298,304"/>
<area href="classerpcgen_1_1_program.html" title="Program declaration. " alt="erpcgen::Program" shape="rect" coords="154,336,298,360"/>
<area href="classerpcgen_1_1_struct_member.html" title="Member of a struct. " alt="erpcgen::StructMember" shape="rect" coords="154,392,298,416"/>
<area href="classerpcgen_1_1_union_case.html" title="Discriminated union case type. " alt="erpcgen::UnionCase" shape="rect" coords="154,448,298,472"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a41dbbe424222a8e9b4b73c390cf06775"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41dbbe424222a8e9b4b73c390cf06775"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> { <br />
&#160;&#160;<b>kProgramSymbol</b>, 
<br />
&#160;&#160;<b>kTypenameSymbol</b>, 
<br />
&#160;&#160;<b>kEnumMemberSymbol</b>, 
<br />
&#160;&#160;<b>kStructMemberSymbol</b>, 
<br />
&#160;&#160;<b>kConstSymbol</b>, 
<br />
&#160;&#160;<b>kInterfaceSymbol</b>, 
<br />
&#160;&#160;<b>kFunctionSymbol</b>, 
<br />
&#160;&#160;<b>kBuiltinTypeSymbol</b>, 
<br />
&#160;&#160;<b>kListTypeSymbol</b>, 
<br />
&#160;&#160;<b>kArrayTypeSymbol</b>, 
<br />
&#160;&#160;<b>kEnumTypeSymbol</b>, 
<br />
&#160;&#160;<b>kStructTypeSymbol</b>, 
<br />
&#160;&#160;<b>kAliasTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionTypeSymbol</b>, 
<br />
&#160;&#160;<b>kUnionCaseTypeSymbol</b>
<br />
 }<tr class="memdesc:a41dbbe424222a8e9b4b73c390cf06775"><td class="mdescLeft">&#160;</td><td class="mdescRight">Supported symbol types. <br /></td></tr>
</td></tr>
<tr class="separator:a41dbbe424222a8e9b4b73c390cf06775"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7d6a966d4c2d00f4e7e40c30796be532"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7d6a966d4c2d00f4e7e40c30796be532">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType)</td></tr>
<tr class="memdesc:a7d6a966d4c2d00f4e7e40c30796be532"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7d6a966d4c2d00f4e7e40c30796be532">More...</a><br /></td></tr>
<tr class="separator:a7d6a966d4c2d00f4e7e40c30796be532"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac969b4105dddf248d163cdb10385efe1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#ac969b4105dddf248d163cdb10385efe1">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const std::string &amp;name)</td></tr>
<tr class="memdesc:ac969b4105dddf248d163cdb10385efe1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac969b4105dddf248d163cdb10385efe1">More...</a><br /></td></tr>
<tr class="separator:ac969b4105dddf248d163cdb10385efe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3274ccd412cc221e15976cc93c71b95d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3274ccd412cc221e15976cc93c71b95d">Symbol</a> (<a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> symType, const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;tok)</td></tr>
<tr class="memdesc:a3274ccd412cc221e15976cc93c71b95d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3274ccd412cc221e15976cc93c71b95d">More...</a><br /></td></tr>
<tr class="separator:a3274ccd412cc221e15976cc93c71b95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a32f65a99da47b8a281926bc3770880"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a32f65a99da47b8a281926bc3770880"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9a32f65a99da47b8a281926bc3770880">~Symbol</a> ()</td></tr>
<tr class="memdesc:a9a32f65a99da47b8a281926bc3770880"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a9a32f65a99da47b8a281926bc3770880"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc2311d1d0acf78dc31a86c7959ce34e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">getSymbolType</a> () const </td></tr>
<tr class="memdesc:acc2311d1d0acf78dc31a86c7959ce34e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol type.  <a href="#acc2311d1d0acf78dc31a86c7959ce34e">More...</a><br /></td></tr>
<tr class="separator:acc2311d1d0acf78dc31a86c7959ce34e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c290b9cf7672b0f94aea9ff27acf1f"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a> () const </td></tr>
<tr class="memdesc:a84c290b9cf7672b0f94aea9ff27acf1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns symbol name.  <a href="#a84c290b9cf7672b0f94aea9ff27acf1f">More...</a><br /></td></tr>
<tr class="separator:a84c290b9cf7672b0f94aea9ff27acf1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a2dbfad1b23fbdfa3ef6e3812ad357"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#af3a2dbfad1b23fbdfa3ef6e3812ad357">setName</a> (const std::string &amp;newName)</td></tr>
<tr class="memdesc:af3a2dbfad1b23fbdfa3ef6e3812ad357"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set symbol name.  <a href="#af3a2dbfad1b23fbdfa3ef6e3812ad357">More...</a><br /></td></tr>
<tr class="separator:af3a2dbfad1b23fbdfa3ef6e3812ad357"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f21abf207fcdda09415d1eaa32f348"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">getLocation</a> ()</td></tr>
<tr class="memdesc:a44f21abf207fcdda09415d1eaa32f348"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns location for symbol.  <a href="#a44f21abf207fcdda09415d1eaa32f348">More...</a><br /></td></tr>
<tr class="separator:a44f21abf207fcdda09415d1eaa32f348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4712d9a59eee5c377b235d995ec776"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a3b4712d9a59eee5c377b235d995ec776">setLocation</a> (const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;loc)</td></tr>
<tr class="memdesc:a3b4712d9a59eee5c377b235d995ec776"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set location for symbol.  <a href="#a3b4712d9a59eee5c377b235d995ec776">More...</a><br /></td></tr>
<tr class="separator:a3b4712d9a59eee5c377b235d995ec776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a927c69a16cbb47ca6c8d5b4f8a213887"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">getFirstLine</a> () const </td></tr>
<tr class="memdesc:a927c69a16cbb47ca6c8d5b4f8a213887"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return first line from location of symbol.  <a href="#a927c69a16cbb47ca6c8d5b4f8a213887">More...</a><br /></td></tr>
<tr class="separator:a927c69a16cbb47ca6c8d5b4f8a213887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00bb74bbfea291f784e65484bf54664b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">getLastLine</a> () const </td></tr>
<tr class="memdesc:a00bb74bbfea291f784e65484bf54664b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return last line from location of symbol.  <a href="#a00bb74bbfea291f784e65484bf54664b">More...</a><br /></td></tr>
<tr class="separator:a00bb74bbfea291f784e65484bf54664b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbb57b6bf584ed7c07e86f5316fa4051"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#afbb57b6bf584ed7c07e86f5316fa4051">isBuiltin</a> () const </td></tr>
<tr class="memdesc:afbb57b6bf584ed7c07e86f5316fa4051"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function return "false" value as default for identify builtin type.  <a href="#afbb57b6bf584ed7c07e86f5316fa4051">More...</a><br /></td></tr>
<tr class="separator:afbb57b6bf584ed7c07e86f5316fa4051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84732dc398fd0cbf64d53d45db1cc8c5"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a84732dc398fd0cbf64d53d45db1cc8c5">getDescription</a> () const </td></tr>
<tr class="memdesc:a84732dc398fd0cbf64d53d45db1cc8c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about the symbol (symbol name).  <a href="#a84732dc398fd0cbf64d53d45db1cc8c5">More...</a><br /></td></tr>
<tr class="separator:a84732dc398fd0cbf64d53d45db1cc8c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a828866509c0ee041aaf7e31ab18cf2da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">addAnnotation</a> (const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;a)</td></tr>
<tr class="memdesc:a828866509c0ee041aaf7e31ab18cf2da"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function add annotation to vector of symbol annotations.  <a href="#a828866509c0ee041aaf7e31ab18cf2da">More...</a><br /></td></tr>
<tr class="separator:a828866509c0ee041aaf7e31ab18cf2da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3f9fe166df63e096228de582e87248b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa3f9fe166df63e096228de582e87248b">printAnnotations</a> ()</td></tr>
<tr class="memdesc:aa3f9fe166df63e096228de582e87248b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns description about annotation.  <a href="#aa3f9fe166df63e096228de582e87248b">More...</a><br /></td></tr>
<tr class="separator:aa3f9fe166df63e096228de582e87248b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a674a1dff60207fa512a2a2b7b7146c3b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a674a1dff60207fa512a2a2b7b7146c3b">findAnnotation</a> (std::string name)</td></tr>
<tr class="memdesc:a674a1dff60207fa512a2a2b7b7146c3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotation in the annotation list.  <a href="#a674a1dff60207fa512a2a2b7b7146c3b">More...</a><br /></td></tr>
<tr class="separator:a674a1dff60207fa512a2a2b7b7146c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac0fa46b91ae20ff49c62cfab29a810"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">getAnnotations</a> (std::string name)</td></tr>
<tr class="memdesc:a8ac0fa46b91ae20ff49c62cfab29a810"><td class="mdescLeft">&#160;</td><td class="mdescRight">Find annotations matching name in the annotation list.  <a href="#a8ac0fa46b91ae20ff49c62cfab29a810">More...</a><br /></td></tr>
<tr class="separator:a8ac0fa46b91ae20ff49c62cfab29a810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85fc3b86b1d1935f3017f8d5db3a2111"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">getMlComment</a> ()</td></tr>
<tr class="memdesc:a85fc3b86b1d1935f3017f8d5db3a2111"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns multiline comment for this symbol declared in IDL file.  <a href="#a85fc3b86b1d1935f3017f8d5db3a2111">More...</a><br /></td></tr>
<tr class="separator:a85fc3b86b1d1935f3017f8d5db3a2111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfff1c0850b243effae7c8c9911f2f53"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#adfff1c0850b243effae7c8c9911f2f53">setMlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:adfff1c0850b243effae7c8c9911f2f53"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set multiline comment for this symbol declared in IDL file.  <a href="#adfff1c0850b243effae7c8c9911f2f53">More...</a><br /></td></tr>
<tr class="separator:adfff1c0850b243effae7c8c9911f2f53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acec60e332ab5bf223e8c5d92f9a732f0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">getIlComment</a> ()</td></tr>
<tr class="memdesc:acec60e332ab5bf223e8c5d92f9a732f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns inline comment for this symbol declared in IDL file.  <a href="#acec60e332ab5bf223e8c5d92f9a732f0">More...</a><br /></td></tr>
<tr class="separator:acec60e332ab5bf223e8c5d92f9a732f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf5481c123404b46a6574135ff6631e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a9cf5481c123404b46a6574135ff6631e">setIlComment</a> (std::string comment)</td></tr>
<tr class="memdesc:a9cf5481c123404b46a6574135ff6631e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function set inline comment for this symbol declared in IDL file.  <a href="#a9cf5481c123404b46a6574135ff6631e">More...</a><br /></td></tr>
<tr class="separator:a9cf5481c123404b46a6574135ff6631e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aeeb41dba8237bddee39709f3d3ccd0ba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aeeb41dba8237bddee39709f3d3ccd0ba">m_symbolType</a></td></tr>
<tr class="separator:aeeb41dba8237bddee39709f3d3ccd0ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44f5d0a78d9057c134a9eba696153cda"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a44f5d0a78d9057c134a9eba696153cda">m_name</a></td></tr>
<tr class="separator:a44f5d0a78d9057c134a9eba696153cda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a023da7b592e5a249229fb48991b8d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aa7a023da7b592e5a249229fb48991b8d">m_location</a></td></tr>
<tr class="separator:aa7a023da7b592e5a249229fb48991b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a838f7ea24ae2e3ce3b433e7cf9e412ef"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a838f7ea24ae2e3ce3b433e7cf9e412ef">m_annotations</a></td></tr>
<tr class="separator:a838f7ea24ae2e3ce3b433e7cf9e412ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aade834e1514a288e91507301a19001c3"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#aade834e1514a288e91507301a19001c3">m_mlComment</a></td></tr>
<tr class="separator:aade834e1514a288e91507301a19001c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b5379e1abc8720a74777fcc324d50cd"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_symbol.html#a7b5379e1abc8720a74777fcc324d50cd">m_ilComment</a></td></tr>
<tr class="separator:a7b5379e1abc8720a74777fcc324d50cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for all named declarations in the IDL. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7d6a966d4c2d00f4e7e40c30796be532"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::Symbol::Symbol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td>
          <td class="paramname"><em>symType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set symbol type variable to given symbol type.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">symType</td><td>Enum symbol type. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac969b4105dddf248d163cdb10385efe1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::Symbol::Symbol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td>
          <td class="paramname"><em>symType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set symbol type variable to given symbol type and name to given name.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">symType</td><td>Enum symbol type. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>Name for symbol. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3274ccd412cc221e15976cc93c71b95d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpcgen::Symbol::Symbol </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a>&#160;</td>
          <td class="paramname"><em>symType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classerpcgen_1_1_token.html">Token</a> &amp;&#160;</td>
          <td class="paramname"><em>tok</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function set symbol type variable to given symbol type, name to token value and location to token location.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">symType</td><td>Enum symbol type. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">tok</td><td><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> for symbol, which contains name and location. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a828866509c0ee041aaf7e31ab18cf2da"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::Symbol::addAnnotation </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> &amp;&#160;</td>
          <td class="paramname"><em>a</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function add annotation to vector of symbol annotations. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">a</td><td><a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> contains annotation information. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a674a1dff60207fa512a2a2b7b7146c3b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> * Symbol::findAnnotation </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Find annotation in the annotation list. </p>
<dl class="section return"><dt>Returns</dt><dd>An index into the annotation list </dd></dl>

</div>
</div>
<a class="anchor" id="a8ac0fa46b91ae20ff49c62cfab29a810"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; <a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a> * &gt; Symbol::getAnnotations </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Find annotations matching name in the annotation list. </p>
<dl class="section return"><dt>Returns</dt><dd>A vector of matching annotations </dd></dl>

</div>
</div>
<a class="anchor" id="a84732dc398fd0cbf64d53d45db1cc8c5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string erpcgen::Symbol::getDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns description about the symbol (symbol name). </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. ">Symbol</a> name. </dd></dl>

<p>Reimplemented in <a class="el" href="classerpcgen_1_1_union_case.html#a7320ae973aa328691dda768227d3cbe5">erpcgen::UnionCase</a>, <a class="el" href="classerpcgen_1_1_function.html#af39ae0adaa0ebbc0600adffabae6f7a3">erpcgen::Function</a>, <a class="el" href="classerpcgen_1_1_enum_type.html#a7b1138290c55479bfd939a61eaceb392">erpcgen::EnumType</a>, <a class="el" href="classerpcgen_1_1_struct_type.html#a78421cc24d8632d9eb95b76e2e68dbbe">erpcgen::StructType</a>, <a class="el" href="classerpcgen_1_1_struct_member.html#a839ee493aa6fafaac3dda9ec292ed1dd">erpcgen::StructMember</a>, <a class="el" href="classerpcgen_1_1_interface.html#ade63c1971950aa637c43e44adb627686">erpcgen::Interface</a>, <a class="el" href="classerpcgen_1_1_alias_type.html#a1dcefef6c4e73b429ebfddc13d056d9c">erpcgen::AliasType</a>, <a class="el" href="classerpcgen_1_1_enum_member.html#a72f031925bbc83f049e07fd04bd16abe">erpcgen::EnumMember</a>, <a class="el" href="classerpcgen_1_1_union_type.html#ae8ca991afd47858d15e1cea0a37f27b5">erpcgen::UnionType</a>, <a class="el" href="classerpcgen_1_1_array_type.html#a1c5a4e6413834ed1d286ae56d4566f85">erpcgen::ArrayType</a>, <a class="el" href="classerpcgen_1_1_list_type.html#acd69b19dae89b94123a97cbfad33ba0c">erpcgen::ListType</a>, and <a class="el" href="classerpcgen_1_1_void_type.html#a329b76a4ef8e30637e7607883772b0e3">erpcgen::VoidType</a>.</p>

</div>
</div>
<a class="anchor" id="a927c69a16cbb47ca6c8d5b4f8a213887"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::Symbol::getFirstLine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function return first line from location of symbol. </p>
<dl class="section return"><dt>Returns</dt><dd>Return first line from location of symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="acec60e332ab5bf223e8c5d92f9a732f0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Symbol::getIlComment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns inline comment for this symbol declared in IDL file. </p>
<dl class="section return"><dt>Returns</dt><dd>Inline comment for symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="a00bb74bbfea291f784e65484bf54664b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::Symbol::getLastLine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function return last line from location of symbol. </p>
<dl class="section return"><dt>Returns</dt><dd>Return last line from location of symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="a44f21abf207fcdda09415d1eaa32f348"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a>&amp; erpcgen::Symbol::getLocation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns location for symbol. </p>
<dl class="section return"><dt>Returns</dt><dd>Return location for symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="a85fc3b86b1d1935f3017f8d5db3a2111"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Symbol::getMlComment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns multiline comment for this symbol declared in IDL file. </p>
<dl class="section return"><dt>Returns</dt><dd>Multiline comment for symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="a84c290b9cf7672b0f94aea9ff27acf1f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; erpcgen::Symbol::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns symbol name. </p>
<dl class="section return"><dt>Returns</dt><dd>Return symbol name. </dd></dl>

</div>
</div>
<a class="anchor" id="acc2311d1d0acf78dc31a86c7959ce34e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> erpcgen::Symbol::getSymbolType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns symbol type. </p>
<dl class="section return"><dt>Returns</dt><dd>Return symbol type. </dd></dl>

</div>
</div>
<a class="anchor" id="afbb57b6bf584ed7c07e86f5316fa4051"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool erpcgen::Symbol::isBuiltin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function return "false" value as default for identify builtin type. </p>
<dl class="section return"><dt>Returns</dt><dd>Always return false. </dd></dl>

<p>Reimplemented in <a class="el" href="classerpcgen_1_1_data_type.html#a9431e09a25ce91aaa8e8301ced975d92">erpcgen::DataType</a>, and <a class="el" href="classerpcgen_1_1_builtin_type.html#a8007b6e666199f3798fd337c3393a5b3">erpcgen::BuiltinType</a>.</p>

</div>
</div>
<a class="anchor" id="aa3f9fe166df63e096228de582e87248b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Symbol::printAnnotations </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns description about annotation. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classerpcgen_1_1_annotation.html" title="Annotation class. ">Annotation</a> description. </dd></dl>

</div>
</div>
<a class="anchor" id="a9cf5481c123404b46a6574135ff6631e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::Symbol::setIlComment </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>comment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function set inline comment for this symbol declared in IDL file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">comment</td><td>Inline comment for symbol. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3b4712d9a59eee5c377b235d995ec776"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::Symbol::setLocation </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td>
          <td class="paramname"><em>loc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function set location for symbol. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">loc</td><td><a class="el" href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. ">Symbol</a> location. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adfff1c0850b243effae7c8c9911f2f53"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::Symbol::setMlComment </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>comment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function set multiline comment for this symbol declared in IDL file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">comment</td><td>Multiline comment for symbol. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af3a2dbfad1b23fbdfa3ef6e3812ad357"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::Symbol::setName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>newName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function set symbol name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">newName</td><td>New name for symbol. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a838f7ea24ae2e3ce3b433e7cf9e412ef"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classerpcgen_1_1_annotation.html">Annotation</a>&gt; erpcgen::Symbol::m_annotations</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Vector of annotations belong to symbol. </p>

</div>
</div>
<a class="anchor" id="a7b5379e1abc8720a74777fcc324d50cd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Symbol::m_ilComment</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Comment next to symbol. </p>

</div>
</div>
<a class="anchor" id="aa7a023da7b592e5a249229fb48991b8d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> erpcgen::Symbol::m_location</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Location in parsed file. </p>

</div>
</div>
<a class="anchor" id="aade834e1514a288e91507301a19001c3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Symbol::m_mlComment</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Comment above to symbol. </p>

</div>
</div>
<a class="anchor" id="a44f5d0a78d9057c134a9eba696153cda"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::Symbol::m_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. ">Symbol</a> name. </p>

</div>
</div>
<a class="anchor" id="aeeb41dba8237bddee39709f3d3ccd0ba"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> erpcgen::Symbol::m_symbolType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="classerpcgen_1_1_symbol.html" title="Base class for all named declarations in the IDL. ">Symbol</a> type. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_symbol_8h_source.html">Symbol.h</a></li>
<li>Type.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
